For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Contact usLogin
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Overview
    • Authentication
    • Errors
    • Software Development Kits
    • Webhooks and Events
    • Sandbox Simulations
  • Core Resources
      • GETList financial accounts
      • GETGet a financial account
      • GETGet a financial account balance
  • DAFpay
  • Disbursements
  • Gift Processing
LogoLogo
Contact usLogin
Core ResourcesFinancial Accounts

Get a financial account balance

GET
/v1/financial_accounts/:id/balance
GET
/v1/financial_accounts/:id/balance
$curl https://api.givechariot.com/v1/financial_accounts/account_01jpjenf5q6cawy43yxfcrxhct/balance \
> -H "Authorization: Bearer <token>"
1{
2 "current_balance": 10000,
3 "available_balance": 10000,
4 "timestamp": "2020-01-31T23:00:00Z"
5}
Get a financial account balance by its unique identifier.
Was this page helpful?
Previous

List Events

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

idstringRequired
The unique identifier for the financial account

Response

The financial account was retrieved
current_balancedouble

The current balance is the amount of money in the account. This value is in minor currency units (USD cents).

available_balancedouble

The available balance is the amount of money in the account that is available to be spent or transferred. This value is in minor currency units (USD cents).

timestampstringformat: "date-time"
The time the balance was retrieved

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error